mutation createTeamHub(
  $teamId: UUID!
  $hubName: String!
  $address: String!
  $city: String
  $state: String
  $zipCode: String
  $managerName: String
  $isActive: Boolean
  $departments: Any
) @auth(level: USER) {
  teamHub_insert(
    data: {
      teamId: $teamId
      hubName: $hubName
      address: $address
      city: $city
      state: $state
      zipCode: $zipCode
      managerName: $managerName
      isActive: $isActive
      departments: $departments
    }
  ) 
}

mutation updateTeamHub(
  $id: UUID!
  $hubName: String
  $address: String
  $city: String
  $state: String
  $zipCode: String
  $managerName: String
  $isActive: Boolean
  $departments: Any
) @auth(level: USER) {
  teamHub_update(
    id: $id
    data: {
      hubName: $hubName
      address: $address
      city: $city
      state: $state
      zipCode: $zipCode
      managerName: $managerName
      isActive: $isActive
      departments: $departments
    }
  ) 
}

mutation deleteTeamHub($id: UUID!) @auth(level: USER) {
  teamHub_delete(id: $id) 
}
